==================== 2.27.2 ====================

==================== 2.27.1 ====================

==================== 2.22.2 ====================

==================== 2.22.1 ====================

2008-03-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.22.0

2008-02-28  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.c (file_get_share_status_file): remove
	wrongly placed g_return_if_fail on an uninitialized variable. Fixes
	#519295 (Vincent Untz).

2008-02-25  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.92

2008-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.91

2008-01-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.90

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5.1

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5

2008-01-14  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.c (is_directory_local)
	(get_path_from_file_info): Use Gio.

2008-01-13  Carlos Garnacho  <carlosg@gnome.org>

	* main.c (init_standalone_dialog): Removed, do not run the standalone 
	dialog here.
	(main): set path in the standalone case, run always the main loop, as
	we now have to wait until the config is loaded before running the
	dialog.
	* shares-tool.[ch] (gst_shares_tool_update_gui): Instead run it here
	now that the config has been retrieved.
	* share-settings.c (share_settings_dialog_run_for_iter): quit the main
	loop after running the standalone dialog.

2008-01-13  Carlos Garnacho  <carlosg@gnome.org>

	* main.c (policy_widgets)
	* callbacks.c (on_dialog_validate): Do not set sensitivity to TRUE in
	the "Share" button in the edit share dialog if the user is not
	allowed.

2008-01-13  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.[ch]: Update configuration and invalidate 
	the edited NautilusFileInfo item when the spawned shares-admin quits.
	Also, show the menu item insensitive if there's already one
	shares-admin instance spawned from nautilus.

2008-01-13  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.c (nautilus_shares_init)
	(on_shares_changed) (share_object_updated): Update configuration
	objects asynchronously, Fixes #498407.
	(update_shares_path): use g_hash_table_remove_all() to remove paths.

2007-12-26  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.c: Use correct HIG capitalization and
	ellipsis for the "Share folder" menu item. Fixes #385886.

2007-12-18  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.3

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

	Do not mistake shares when there are two shares of different type for
	the same path. (#356547, patch by John Finlay <finlay@moeraki.com>)

	* share-settings.[ch] (share_settings_dialog_run_for_iter): new
	function, runs the share settings dialog for one specific iter in the
	shares table.
	* callbacks.c (on_edit_share_clicked): call it here for the selected
	iter.

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

        * callbacks.c (on_delete_share_clicked) (on_share_nfs_add_clicked):
        * share-settings.c (share_settings_dialog_run): Turn editing
	mode on when any dialog is running.

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

	Add SMB password handling. Fixes #438052.

	* users-table.[ch]: Added, populates the table with system users,
	allowing to enable them and set a password.
	* Makefile.am: Added these files.
	* main.c: lock the users table when the tool is not authenticated.
	* shares-tool.[ch]: get also users config, and initialize/populate
	users table.

2007-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2.1

2007-11-13  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2

2007-10-30  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.1

2007-10-15  Denis Washington  <denisw@svn.gnome.org>

	* main.c: Use gst_dialog_require_authentication_for_widgets() to
	mark those widgets which need authentication to be used.

2007-09-29  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.c, shares-tool.c: Adapt to liboobs 2.21.x
	API change.

2007-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* shares.desktop.in.in: Add back X-GNOME-NetworkSettings. It's
	necessary to appear in the Networking section in g-c-c

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.92

2007-08-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.91

2007-07-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.1

2007-07-10  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.0

2007-04-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.1

2007-03-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.0

2007-02-27  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.92

2007-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.91

2007-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* main.c (main): call g_thread_init() to avoid GSlice warning.

2007-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.c (nautilus_shares_init): avoid using a
	session if it couldn't connect to the bus. Fixes #386081.

2007-01-22  Carlos Garnacho  <carlosg@gnome.org>

	* shares.desktop.in.in: patch by Denis Washington <dwashington at gmx
	dot net> to rename NetworkSettings category to
	X-GNOME-NetworkSettings.

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* shares.desktop.in.in: patch by Denis Washington <dwashington at gmx
	dot net> to make shares-admin appear in the Internet & Networking
	category in g-c-c

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.5

2007-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.4

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.3

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* callbacks.c: (on_delete_share_clicked), (on_is_wins_toggled),
	(on_workgroup_focus_out), (on_wins_server_focus_out),
	(on_share_smb_name_modified):
	* nfs-acl-table.h:
	* share-nfs-add-hosts.c: (populate_hosts_completion):
	* share-settings.c: (set_smb_name), (share_settings_get_share_nfs),
	(delete_share), (share_settings_dialog_run):
	* shares-tool.c: (update_global_smb_config),
	(gst_shares_tool_update_gui), (gst_shares_tool_update_config),
	(gst_shares_tool_update_services_availability):
	* shares-tool.h:
	* table.h: Fix a whole bunch of compiler warnings.

2006-11-05  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.2

2006-11-04  Carlos Garnacho  <carlosg@gnome.org>

	* callbacks.c, share-settings.c: plug some leaks.

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* share-nfs-add-hosts.c (share_nfs_add_ifaces_combo_elements): remove
	old code.

2006-09-30  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.5

2006-09-22  Jani Monoses  <jani.monoses@gmail.com>

	* Makefile.am: do not build nautilus directory if --disable-gnome is
	present.
	* callbacks.c (on_shares_dragged_folder): do not use GNOME-VFS to 
	parse the uri list.

2006-09-08  Carlos Garnacho  <carlosg@gnome.org>

	* share-settings.c (share_settings_dialog_run): make sure the path
	gets filled before trying to guess a name for the share path.
	(share_settings_set_name_from_folder): add a g_return_if_fail().

2006-09-07  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.4

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.3

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* share-settings.[ch] (share_settings_set_name_from_folder):
	workaround what seems to be a crasher in the async filechooser code.
	* callbacks.c: code update to match the change above.
	* main.c (init_standalone_dialog) (main): small fixes to the
	standalone folder sharing dialog.

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* shares-tool.c (gst_shares_tool_update_services_availability): use
	gst_service_get_role()

2006-09-01  Carlos Garnacho  <carlosg@gnome.org>

	* table.[ch] (table_clear): add
	* shares-tool.c (gst_shares_tool_update_gui): clear table before
	adding shares to it, this function may be called several times.

2006-09-01  Carlos Garnacho  <carlosg@gnome.org>

	* shares-tool.c (check_servers): added, check for NFS or SMB services.
	(gst_shares_tool_update_gui): set window unsensitive if there are no
	sharing services.

2006-08-23  Carlos Garnacho  <carlosg@gnome.org>

	* shares-tool.c (gst_shares_tool_update_config): added.

2006-08-11  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.2

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.1

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* nautilus/nautilus-shares.[ch]: show shared emblem if the folder is
	shared. Fixes #170620 (Sebastien Estienne)

2006-06-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.0

2006-06-01  Carlos Garnacho  <carlosg@gnome.org>

	* callbacks.[ch], main.c (on_share_smb_name_modified): added and used
	* share-settings.c: Do not replace the name entry text if the user has
	modified it by hand.

2006-05-31  Carlos Garnacho  <carlosg@gnome.org>

	* share-settings.[ch] (share_settings_set_name_from_folder): added,
	defaults the SMB share name to match the selected folder name
	* callbacks.[ch], main.c: added on_shared_folder_changed() signal
	handler, changes the SMB name entry when the selected folder changes.
	Fixes bug #336422.

2006-05-29  Carlos Garnacho  <carlosg@gnome.org>

	* share-settings.c: strings improvements. set according title to the
	share dialog during addition/modification

2006-05-27  Carlos Garnacho  <carlosg@gnome.org>

	* share-settings.c: toggle "read only" to TRUE by default. Closes
	#336425

2006-05-27  Carlos Garnacho  <carlosg@gnome.org>

        * table.c: set translation domain for action_groups. Closes #342497
	(patch by Sebastien Bacher)
	* shares-tool.c: improve window title

2006-05-27  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares-tool.c: set an icon name.
	* shares.desktop.in.in: ditto, patch by Sebastien Bacher
        <seb128@debian.org>

2006-05-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares-tool.[ch]: new GObject, inherits from GstTool, providing too
	liboobs objects access.
	* share-export.[ch], share-export-smb.[ch], share-export-nfs.[ch]: to
	the Attic, functionality replaced by liboobs.
	* transfer.[ch]: removed, XML interface is deprecated.
	* Makefile.am: reflect these changes
	* callbacks.[ch], nfs-acl-table.[ch], share-nfs-add-hosts.c,
	share-settings.[ch]: liboobs changes, other code improvements
	* main.c: update to GstTool changes, other code improvements
	* table.[ch]: store OobsShare objects

2006-03-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.14.0

2006-01-31  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.2

2006-01-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.1

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.0

2005-11-28  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.1

2005-09-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.0

2005-08-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.92

2005-08-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.2

2005-07-26  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.1

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0.1

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0

2005-06-14  Carlos Garnacho Parro  <carlosg@gnome.org>

        * callbacks.c: added full stop at the end of secondary text in
        GtkMessageDialogs. Fixes #152396

2005-06-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* shares.desktop.in.in: changed capitalization for desktop item. Fixes
	bug #304065

2005-04-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* callbacks.[ch], main.c, share-settings.[ch]: validate that all the
	necessary fields are filled before adding a share. Fixes #172475

2005-03-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.2.0

2005-03-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.92

2005-02-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.91

2005-01-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.90

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* share-settings.c, transfer.c: added some checks to know whether
	SMB and/or NFS are installed

2005-01-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* component/*: deleted, it has been replaced by the nautilus plugin
	method

2005-01-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* nautilus/Makefile.am, gst-shares-module.c, nautilus-shares.[ch]:
	Readded context menu as a nautilus plugin
	* Makefile.am: added new directory

2005-01-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* callbacks.c: use new GtkMessageDialog API for HIG dialogs

2005-01-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4.1

2005-01-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* share-settings.c: replaced GnomeFileEntry with GtkFileChooserButton

2005-01-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4

2005-01-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* share-settings.c: manage WINS settings

2005-01-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* callbacks.[ch], main.c, share-settings.[ch]: added general SMB
	config stuff

2004-12-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.3

2004-12-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* share-export-nfs.c, share-export-smb.c: fixed a couple of memleaks

2004-12-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c: handled IP addresses parsing/filtering

2004-11-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c: ported to GOption

2004-11-03  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1

2004-10-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* component/.cvsignore: added

2004-09-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Makefile.am: really build the component

2004-09-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* component/gst-shares-component.[ch], libmain.c, Makefile.am,
	GST_Shares_Component.server.in.in: Added component for somewhat 
	integrating shares admin with nautilus

2004-09-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* nfs-acl-table (nfs_acl_table_create),
	(nfs_acl_table_insert_elements): removed unused vars
	* share-export-nfs.c (gst_share_nfs_add_acl_element): ditto
	* share-nfs-add-hosts.c (share_nfs_create_combo): ditto

2004-09-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* callbacks.c: generalized stuff for adding/editing shares, made
	dnd callback use it for avoiding duplicated filenames
	* main.c: added a --add-share command line parameter
	* share-settings.[ch]: lots of generalized stuff for adding/modifying
	shares, this also eases adding new share types
	* table.[ch]: added some function helpers
	* share-export.c: silly style fix

2004-09-19  Carlos Garcia Campos  <carlosgc@gnome.org>

	* callbacks.[ch], share-settings.[ch], table.[ch]: Drag and Drop
	Support

2004-09-19  Carlos Garnacho Parro  <carlosg@gnome.org>

	* transfer.c: fixed transfer in both ways when there weren't previous
	shares, the tag "exports" could not exist

2004-09-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* transfer.c: removed stupid g_print

2004-09-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* .cvsignore: added

2004-09-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* callbacks.[ch], nfs-acl-table.[ch], share-nfs-add-hosts.[ch],
	share-settings.[ch]: added, they add heaps of functionality to
	shares-admin
	* main.c: added some callbacks
	* share-export-nfs.[ch]: added hosts acl stuff
	* share-export-smb.[ch]: added some properties from the parent class,
	generally make it work fine
	* share-export.[ch]: removed a couple of non-common properties, added
	(get_xml) virtual function
	* table.c: added right click button menu plus other improvements
	* transfer.[ch]: reindented, added (transfer_xml_to_gui)

2004-08-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Makefile.am: doh! added
	* shares.dekstop.in.in: ditto

2004-08-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Beginning of ChangeLog

